Package jxl

# Interface Image

All Known Implementing Classes:
  `jxl.biff.drawing.Drawing`, `WritableImage`

public interface Image
Accessor functions for an image

## Method Summary

Modifier and Type
Method
Description
`double`
`getColumn()`
Accessor for the image position
`double`
`getHeight()`
Accessor for the image dimensions
`double`
`getHeight(jxl.common.LengthUnit unit)`
Get the height of this image as rendered within Excel
`double`
`getHorizontalResolution(jxl.common.LengthUnit unit)`
Gets the horizontal resolution of the image, if that information is available.
`byte[]`
`getImageData()`
Accessor for the image data
`File`
`getImageFile()`
Accessor for the image file
`int`
`getImageHeight()`
Gets the height of the image.
`int`
`getImageWidth()`
Gets the width of the image.
`double`
`getRow()`
Accessor for the image position
`double`
`getVerticalResolution(jxl.common.LengthUnit unit)`
Gets the vertical resolution of the image, if that information is available.
`double`
`getWidth()`
Accessor for the image dimensions
`double`
`getWidth(jxl.common.LengthUnit unit)`
Get the width of this image as rendered within Excel

## Method Details

### getColumn

double getColumn()
Accessor for the image position

Returns:
  the column number at which the image is positioned

### getRow

double getRow()
Accessor for the image position

Returns:
  the row number at which the image is positioned

### getWidth

double getWidth()
Accessor for the image dimensions

Returns:
  the number of columns this image spans

### getHeight

double getHeight()
Accessor for the image dimensions

Returns:
  the number of rows which this image spans

### getImageFile

File getImageFile()
Accessor for the image file

Returns:
  the file which the image references

### getImageData

byte[] getImageData()
Accessor for the image data

Returns:
  the image data

### getWidth

double getWidth(jxl.common.LengthUnit unit)
Get the width of this image as rendered within Excel

Parameters:
  `unit` - the unit of measurement
Returns:
  the width of the image within Excel

### getHeight

double getHeight(jxl.common.LengthUnit unit)
Get the height of this image as rendered within Excel

Parameters:
  `unit` - the unit of measurement
Returns:
  the height of the image within Excel

### getImageWidth

int getImageWidth()
Gets the width of the image. Note that this is the width of the underlying image, and does not take into account any size manipulations that may have occurred when the image was added into Excel

Returns:
  the image width in pixels

### getImageHeight

int getImageHeight()
Gets the height of the image. Note that this is the height of the underlying image, and does not take into account any size manipulations that may have occurred when the image was added into Excel

Returns:
  the image height in pixels

### getHorizontalResolution

double getHorizontalResolution(jxl.common.LengthUnit unit)
Gets the horizontal resolution of the image, if that information is available.

Returns:
  the number of dots per unit specified, if available, 0 otherwise

### getVerticalResolution

double getVerticalResolution(jxl.common.LengthUnit unit)
Gets the vertical resolution of the image, if that information is available.

Returns:
  the number of dots per unit specified, if available, 0 otherwise